// MBLIBS.H Copyright, 1994 Jeffrey Fullerton
// Header for using MUSICBOX from within a application

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <alloc.h>
#include <process.h>
#include <dos.h>

// USER declarations
int mb_setup(char *setupstring, int forceflag);      // returns 0 if successful, 
						     //         1 if SETUP.EXE not found
						     //         2 if no SOUND BLASTER
						     // forceflag=1=always  0=initial only
int mb_play(char *sypfile, int volume, int repeat); // returns 0 if successful, else 1
int mb_volume(int volume);       // returns 0 if successful  or  1 if mb not in memory
int mb_off();                    // returns 0 if successful  or  1 if mb not in memory
				 // NOTE: mb_off() also clears the keyboard buffer
int mb_finish();                 // returns 0 if successful  or  1 if mb not in memory
int mb_repeat();                 // returns 0 if successful  or  1 if mb not in memory

// RESERVED declarations
void far *mb_in_mem();   // returns pointer to Musicbox if it is in memory, else NULL

